{
  "FileName" : "DOCS-oow2014-hol9460-docs-se.docx",
  "SemanticPath" : "DOCS oow2014 hol9460 docs se",
  "DocExtension" : "docx",
  "CreatedOn" : "2021-01-05T21:16:38Z",
  "ModifiedOn" : "2021-03-24T00:57:15Z",
  "Author" : "Brian Spendolini",
  "Title" : "CI/CD for Oracle Database & APEX Developers",
  "Pages" : 26,
  "Words" : 1234,
  "Images" : 53,
  "Paragraphs" : 255,
  "Content" : [ {
    "Id" : 1,
    "Titles" : "Driving Database Usage in OCI with Oracle REST Data Services.",
    "Text" : "March 24, 2021.\nJeff Smith.\nBrian Spendolini.",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  }, {
    "Id" : 2,
    "Titles" : "Speakers Today: The ORDS Product Management Team.",
    "Text" : "Jeff Smith.\n @thatjeffsmith.\n https://www.thatjeffsmith.com.\nBrian Spendolini.\n @btspendo.\n2.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  }, {
    "Id" : 3,
    "Titles" : "Agenda.",
    "Text" : "Product Overview.\nDriving Database Usage with ORDS.\nREST Enable Database Tables and Objects.\nData Loading.\nREST APIs for Oracle Database Competition Next Steps.\n3.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  }, {
    "Id" : 4,
    "Titles" : "Oracle Database Developer Tools.",
    "Text" : "4.\nSQL Developer.\nData Modeler ORDS SQLcl.\nDatabase Actions.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ {
      "id" : 1,
      "file" : "image25.png",
      "text" : ""
    }, {
      "id" : 2,
      "file" : "image26.png",
      "text" : ""
    }, {
      "id" : 3,
      "file" : "image27.png",
      "text" : ""
    }, {
      "id" : 4,
      "file" : "image28.png",
      "text" : "\\( SS J) J.\n\\."
    }, {
      "id" : 5,
      "file" : "image29.png",
      "text" : ""
    } ]
  }, {
    "Id" : 5,
    "Titles" : "Driving Database Usage with ORDS.",
    "Text" : "5.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ {
      "id" : 1,
      "file" : "image31.png",
      "text" : ""
    } ]
  }, {
    "Id" : 6,
    "Titles" : "Wait, What is ORDS? What is REST?",
    "Text" : "Acronyms, terms, definitions, basic concepts.\nOracle REST Data Services (ORDS).\n  Included for free with Database, turns SQL into REST.\nREpresentational State Transfer (REST).\n Architectural style, uses HTTP (GET, PUT, POST, DELETE, …) for building stateless web services HTTP(s).\n allows for communication on the WWW  URLs and Links!\nJavaScript Object Notation {JSON}.\n Skinnier, more flexible XML 6 Makes Web Services Available for Oracle!",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  }, {
    "Id" : 7,
    "Titles" : "Two Things Developers Need for Applications.",
    "Text" : "Modern Development environment.\n    – spin up a database, get their latest source code, make changes, push to ‘production’.\nAccess to their data.\n    – data is in the database, make it available to the application, easily.\n7.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  }, {
    "Id" : 8,
    "Titles" : null,
    "Text" : "",
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ {
      "id" : 2,
      "file" : "image32.png",
      "text" : ""
    }, {
      "id" : 2,
      "file" : "image34.jpeg",
      "text" : ""
    }, {
      "id" : 3,
      "file" : "image35.png",
      "text" : ""
    }, {
      "id" : 4,
      "file" : "image36.png",
      "text" : ""
    }, {
      "id" : 5,
      "file" : "image37.png",
      "text" : ""
    }, {
      "id" : 6,
      "file" : "image38.png",
      "text" : ""
    }, {
      "id" : 7,
      "file" : "image39.png",
      "text" : ""
    }, {
      "id" : 8,
      "file" : "image40.png",
      "text" : ""
    }, {
      "id" : 9,
      "file" : "image41.jpeg",
      "text" : ""
    }, {
      "id" : 10,
      "file" : "image42.png",
      "text" : "hs sf.\ncommand line lect and library.\nfor transfentirg dota woth USLs Tapia OCT FRE FTP FTL Sapte HTT MITRE MAS MASS LOP LOM) S08) A080 AT: AT 50,\nHO APT IAM SAREE DATE BATTIE Tehetl and FTI cul eppidi TEL After HTT RORY.\nHITE PUT F™5 toate HTTP Sw based cploat promis HTTRQ smote soit ipsa d.\nsamt (Dunc Pum Digert Zhai TUM Pagosa ant Somers. Se 20a wim, pravy.\nSete ad Pe.\nWhey cod ved he.\nCE td a eh AT Ae Ga TN ee Te EL ree en.\nBhs agepeerd ake praren whats sebag beeen sede pies and BF rds bees harkhons br.\nFOU of 300 SP0NEOr | IFNCINg Seine to Sumene Sale.\nWhe wy oat.\nOU IE S000 ISAT LICH LEPwD ANC SURE TARE NM OuSAl of CNIIDEGT TT Sut MOT Nowe.\nwl rd pe fmt bead pase ed.\nWE Th LE cat.\nThe wend recast slale verses &.\n0 art ron.\nMT rtd on TUB oF Jere 201T Cumentiy BT of Ba lad Senrinah.\nWms Be sade.\nCred Pe WME 108 Lae Man INE."
    }, {
      "id" : 11,
      "file" : "image43.png",
      "text" : ""
    } ]
  }, {
    "Id" : 9,
    "Titles" : "REST Enable Database Tables and Objects.",
    "Text" : "‘stupid-easy’ REST endpoints for your Data.\nEasy integration of your application logic (PL/SQL).\nSecure! (OAuth2).\nComplete REST IDE experience.\nAll kinds of data, relational, json…converged!\n9.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ {
      "id" : 1,
      "file" : "image44.png",
      "text" : "Worksheet]* v £3 oO Bisa.\n4 select+ from hockey stats where team = ‘CAR'.\nQuery Result Script Output DBMS Output Explain Plan Autotrace.\no © [2 Download v Execution time: 0.113 seconds.\nyear t team.\n1 1998 0 car.\n2 1999 0 CAR.\n3 1999 2 AR.\n4 1999 « car.\n5 1998 1 car.\n6 1998 3 CAR.\n7 1999 0 AR.\n8 1998 3 car.\n° 1998 1 CAR.\n10 198 3 CAR.\n1 19 0 AR.\n2 te 3 car.\n3 1s 0 car.\n“19% 1 CAR.\n5 19 0 AR.\n16 1998 2 car.\n17 1s « car.\n8 1999 0 CAR.\n19 19 0 CAR.\nSQL History Data Loading.\n»m » o-oo ooo a.\n© locsbosts080/ordsrmhing= X.\n€ 5 CO localhost8080/ords/he/nhi/z.\n“year™: \"1995\", SL “player”: \"BATTAGLIA, BATES\",\ngt 33,\n“sfrac.\nwe, BhyE minus\":"
    } ]
  }, {
    "Id" : 10,
    "Titles" : "REST Enable Database Tables and Objects.",
    "Text" : "Driving Usage.\nLow Code - Start Application Development in seconds with one click REST.\nData integration with batch loading endpoints.\nReuse existing toolsets and knowledgebase to REST enable.\nbusiness logic (PLSQL).\nSQL Queries.\nAnalytic Views.\nApplication development language agnostic, use any language.\nXcode/Swift NodeJS JavaScript Java etc.\n10.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  }, {
    "Id" : 11,
    "Titles" : "REST Enable Database Tables and Objects.",
    "Text" : "Developer Story.\nNow that my data is loaded into the database, I need to quickly build my app in XXX .\n11.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ {
      "id" : 1,
      "file" : "image45.png",
      "text" : "> BEB EMPS.\n[1] Open.\n[7 Edit... Add [[] Use as Template REST Data Loading.\nQuick DDL.\n».\n* Enable..."
    } ]
  }, {
    "Id" : 12,
    "Titles" : null,
    "Text" : null,
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  }, {
    "Id" : 13,
    "Titles" : null,
    "Text" : null,
    "Footers" : null,
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  }, {
    "Id" : 14,
    "Titles" : "Loading Data.",
    "Text" : "Drag and Drop UI.\nBatch load data into pre-created REST endpoints.\nEasily load multiple different file/data formats.\nCreate a new table on data load.\nLoad data into existing tables.\nConverged Database: JSON and relational all in one database 14   CSV XLS  TSV XLXS  TXT XML  JSON AVRO.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  }, {
    "Id" : 15,
    "Titles" : "Loading Data.",
    "Text" : "Driving Usage.\nIt’s so easy!\nEnables citizen developers and data scientists to use an Oracle Database.\nQuickly start projects on day 1.\nAbility to insert large amounts of data with no SQL needed.\nConverged Message – load and use the data as you want.\n15.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  }, {
    "Id" : 16,
    "Titles" : "Loading Data.",
    "Text" : "Developer Story.\nI am a developer who needs to start a project and all I have is this file full of data….\n16.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ {
      "id" : 1,
      "file" : "image48.png",
      "text" : "Query Result Script Output DBMS Output Explain Plan Autotrace SQL History Data Loading.\nsearch. Q oS 6.\n&.\nNo data load history was found, drag a new file to start.\nwe support XLS, XLSX, CSV, XML, JSON, and AVRO."
    } ]
  }, {
    "Id" : 17,
    "Titles" : "REST APIs for Managing, Monitoring, Using your Oracle Database.",
    "Text" : "Over a hundred REST APIs out of the box.\nFunctional Areas include:\nData Guard Patching Rapid Home Provisioning/DBCA Monitoring Performance.\nPDB Lifecycle Management.\nGeneral DB Health/Alerts.\nCreate lightweight custom dashboards.\nOn-premises or in the cloud.\nAPIs found here: https://docs.oracle.com/en/database/oracle/oracle-database/21/dbrst/rest-endpoints.html.\n17.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  }, {
    "Id" : 18,
    "Titles" : "REST APIs for Oracle Database.",
    "Text" : "Driving Usage.\nDashboards and Monitoring – central dashboards for multiple databases.\nAutomated Database/PDB Creation.\nCI/CD.\nDevelopment/Test Environments.\nFleet Patching and Provisioning (FPP) RHP Gold Images Upgrades Disaster Recovery with Data Guard.\n18.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ {
      "id" : 1,
      "file" : "image49.png",
      "text" : "satin sien nem TET TT.\nTT A A."
    } ]
  }, {
    "Id" : 19,
    "Titles" : "REST APIs for Oracle Database.",
    "Text" : "Developer Story.\nI need to to have a process to quickly create and delete PDBs for my CI/CD processes 19 Github Jenkins Code Repository Jenkins Webhook Developers.\nCreate/Clone.\nPluggable Database.\nTest Code.\nFrom Git.\nDelete Pluggable Database.\n and Complete Pipeline.\nUtilize the ORDS PDB APIs via Jenkins.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ {
      "id" : 1,
      "file" : "image50.png",
      "text" : ""
    }, {
      "id" : 2,
      "file" : "image51.jpg",
      "text" : ""
    } ]
  }, {
    "Id" : 20,
    "Titles" : "Oracle REST Data Services and the Oracle Database.",
    "Text" : "Driving Usage Key Points Summary.\nEnables citizen developers and data scientists to use an Oracle Database - Up and running in minutes.\nLow Code - Reuse existing toolsets and knowledgebase Converged Query JSON with relations queries and output JSON with relational queries.\nSchema-less and/or Relational.\nAdd/enable database options as needs grow.\nIn-Memory Columnar format RAC Data Guard.\n Ability to leverage new options/features with REST APIs.\nData Guard.\nRHP/FPP.\n20.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  }, {
    "Id" : 21,
    "Titles" : "Competition.",
    "Text" : "21.",
    "Footers" : "Copyright © 2020, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ {
      "id" : 1,
      "file" : "image52.png",
      "text" : ""
    }, {
      "id" : 2,
      "file" : "image32.png",
      "text" : ""
    } ]
  }, {
    "Id" : 22,
    "Titles" : "Competition.",
    "Text" : "DreamFactory.\nREST APIs on multiple Databases (Oracle, mySQL, Azure, etc) and Services (Salesforce).\nPricing starts at 500 a month.\nLow-code solution.\nAPI Documentation is auto-generated.\nLocal or hosted solutions.\nSnowflake Snowpipe.\nFor data loading only PostgREST Lightweight solution.\nNo native GUI.\nAPI Documentation is not auto-generated.\nSQL skills are required to create REST endpoints.\nCrowd funded open-source project.\nPaid version (subzero.cloud) 22 Azure/SQL Server.\nStart writing js (Node) or Python.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  }, {
    "Id" : 23,
    "Titles" : "Competition.",
    "Text" : "Key Points.\nORDS is the only one created and supported by the database vendor itself.\nFastest to uptake database versions and features.\nMany are open-source projects that are not directly funded/have little funding.\nNot full featured and lack many basic functions.\nORDS is free.\nTo note: Some of these tools have good aspects so compete on the lack of support/functionality/release frequency.\n23.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  }, {
    "Id" : 24,
    "Titles" : "What’s Next.",
    "Text" : "24.",
    "Footers" : "Copyright © 2020, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ {
      "id" : 1,
      "file" : "image53.jpg",
      "text" : ""
    } ]
  }, {
    "Id" : 25,
    "Titles" : "Resources.",
    "Text" : "LiveLabs.\nRESTful Services for your Autonomous Database Workshop.\nChoose your Own JSON Adventure: Relational or Document Store.\nGitHub Repo.\nhttps://github.com/oracle/oracle-db-tools.\nUpcoming Webcasts (For Customers!!!).\nChoose your Own JSON Adventure: Relational or Document Store.\nSpotlight Series: CI/CD for Oracle Database & APEX Developers.\n25.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  }, {
    "Id" : 26,
    "Titles" : "",
    "Text" : "You're still here?\nIt's over. Go home.\n26.",
    "Footers" : "Copyright © 2021, Oracle and/or its affiliates.",
    "Notes" : null,
    "Comments" : null,
    "OutlineLevel" : null,
    "Images" : [ ]
  } ]
}